For the complete documentation index, see llms.txt. This page is also available as Markdown.

Auto Upgrade

Get

get

Retrieve the Auto-upgrade settings of a Site Defaults object.

Query parameters
siteIdinteger · int32Optional

The SiteId of a Site Defaults object for which to retrieve the Auto-upgrade settings (optional).

Responses
200

Success

application/json; api-version=1.0

Auto-upgrade Settings

enabledbooleanOptional

Enable auto-upgrade maintenance window

startDateTimestring · date-timeOptional

Start Date

drainModeDurationInSecsnumber · doubleOptional

Drain mode duration

forceLogoffSessionsbooleanOptional

Force logoff sessions at the end of the drain mode period

repeatstring · enumOptional

Repeat Type

Possible values:
specificDaysstring[Flag] · enumOptional

Repeat Specific Days

Possible values:
get/api/RDSDefaultSettings/AutoUpgrade
GET /api/RDSDefaultSettings/AutoUpgrade HTTP/1.1
Accept: */*
{
  "enabled": true,
  "startDateTime": "2026-01-01T00:00:00.000Z",
  "drainModeDurationInSecs": 1,
  "forceLogoffSessions": true,
  "repeat": [
    "0 = Never",
    "1 = EveryDay",
    "2 = EveryWeek",
    "3 = Every2Weeks",
    "4 = EveryMonth",
    "5 = EveryYear",
    "6 = SpecificDays"
  ],
  "specificDays": [
    "0 = Never",
    "1 = Sunday",
    "2 = Monday",
    "4 = Tuesday",
    "8 = Wednesday",
    "16 = Thursday",
    "32 = Friday",
    "64 = Saturday"
  ],
  "messages": [
    {
      "id": 1,
      "enabled": true,
      "messageTitle": "text",
      "message": "text",
      "sendMsgSecs": 1,
      "sendMsgWhen": [
        "0 = Before",
        "1 = After"
      ]
    }
  ]
}

Update

put

Update the Auto-upgrade settings of a Site Defaults object.

Query parameters
siteIdinteger · int32Optional

The SiteId of a Site Defaults object for which to modify the Auto-upgrade settings (optional).

Body
object · SetAutoUpgradeOptional

Modify the Auto-upgrade settings

Responses
204

No Content

No content

put/api/RDSDefaultSettings/AutoUpgrade
PUT /api/RDSDefaultSettings/AutoUpgrade HTTP/1.1
Content-Type: application/json; api-version=1.0
Accept: */*
Content-Length: 2

{}

No content

Last updated